var five = require("../lib/johnny-five.js");
var dualShock = require("dualshock-controller");

var board = new five.Board();
var controller = dualShock({
  config: "dualShock3",
  analogStickSmoothing: true
}).connect();

function degrees(val) {
  return five.Fn.scale(val, 0, 255, 160, 20) | 0;
}

board.on("ready", function() {
  var x = new five.Servo(2);
  var y = new five.Servo(3);

  var ir = {
    a: new five.IR.Distance({
      pin: "A0",
      device: "2Y0A02"
    }),
    // b: new five.IR.Distance({
    //   pin: "A1",
    //   device: "GP2Y0A02YK0F"
    // })
  };

  ir.a.on("change", function() {
    console.log( this.inches );
  });

  controller.on("right:move", function(position) {
    y.to(degrees(position.y));
    x.to(degrees(position.x));
  });
});

